msLathe

msLathe - lathe tool plugin

Copyright 2002 Mikko Rytkönen

Overview

msLathe is a plugin for MilkShape3D modeller. It is a tool that takes flat geometry and turns it around X -axis to build a 3D model.

Quick tutorial

To begin constructing a lathed model, you have to draw the 2d outline geometry, the cross-section of the resulting model. You can draw the outline anywhere in the space, just remember that it will be rotated around the X-axis. I recommend to draw it on the XZ (top) plane as illustrated below:

The plugin traces the outline of selected geometry for lathe operation. The cross-section may have holes in it, it can consist of multiple separate pieces and it doesn't have to be convex. It doesn't event have to be planar. See settings sample 1 .

If you draw the outline on XZ plane below the origin (positive Z side), front faces must be upwards to create and object with front faces on the outside.

When you have the cross-section ready, you need to select the faces for lathe operation and run the tool plugin (menu path: Tools->Lathe..). You should get following settings dialog:

Lets first try the default settings. That will make us a model with eight sectors (around X-axis, 45 degrees each). The result should look something like this:

As you can see, the original geometry is still selected and inside the resulting model. If you don't plan to use it anymore, you should delete it at this point (hit delete -key). At least move it out of the model, so that you don't forget those extra faces there.

You might wan't to weld the vertices of resulting model together now to decrease to amount of vertices in model and to allow smoothing. You can do this by selecting the mesh (or faces of it) and using the weld tool (menu path: Vertex->Weld Together).

Settings

Turn angle specifies how much the outline is rotated around X -axis. 360 degrees produces a full cirle. Anything less will produce arbitrary arc.

Number of sectors specifies how many sectors will be used to build the model. More sectors will produce smoother surface, but will generate more vertices.

Endpoint caps is used only if Turn angle is less that 360 degrees. If it is checked caps will be generated at both ends of resulting arc.

Sample 1

Using of non-planar outline geometry and endpoint caps.

Known problems

  • Texture coordinates are not generated for caps.

http://www.fractilegames.com